DevelopersAPIReferencecategoryGroups
Retrieve category group
Retrieve one category group by id with the Walletguide REST API. Parameters, response fields, and a playground you can run.
GET
bearerAuthheader
Authorization<token>A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.
walletId*stringRow uuid
Format
uuidid*stringRow uuid
Format
uuidThe category group
application/json- response
id*stringFormat
uuidwalletId*stringFormat
uuidfirestoreId*string|nullname*stringemoji*string|nullparentCategoryGroupId*|Format
uuidorder*|Range
-140737488355328 <= value <= 140737488355327createdTime*|Format
date-timecreatedUserId*string|nulllastUpdatedTime*|Format
date-timelastUpdatedUserId*string|nullcurl -X GET 'https://api.walletguide.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/categoryGroups/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "firestoreId": "string", "name": "string", "emoji": "string", "parentCategoryGroupId": "bba55cc5-87b4-4b37-bd28-dd9c600c331e", "order": -140737488355328, "createdTime": "2019-08-24T14:15:22Z", "createdUserId": "string", "lastUpdatedTime": "2019-08-24T14:15:22Z", "lastUpdatedUserId": "string"}